# Uses of Class
javax.swing.plaf.PanelUI

Packages that use PanelUI
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of PanelUI in javax.swing

Methods in javax.swing that return PanelUI
Modifier and Type
Method
Description
`PanelUI`
JPanel.`getUI()`
Returns the look and feel (L&F) object that renders this component.
Methods in javax.swing with parameters of type PanelUI
Modifier and Type
Method
Description
`void`
JPanel.`setUI(PanelUI ui)`
Sets the look and feel (L&F) object that renders this component.

## Uses of PanelUI in javax.swing.plaf.basic

Subclasses of PanelUI in javax.swing.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicPanelUI`
BasicPanel implementation

## Uses of PanelUI in javax.swing.plaf.multi

Subclasses of PanelUI in javax.swing.plaf.multi
Modifier and Type
Class
Description
`class`
`MultiPanelUI`
A multiplexing UI used to combine `PanelUI`s.

## Uses of PanelUI in javax.swing.plaf.synth

Subclasses of PanelUI in javax.swing.plaf.synth
Modifier and Type
Class
Description
`class`
`SynthPanelUI`
Provides the Synth L&F UI delegate for `JPanel`.